/*
 * Copyright © 2023 Robert Bosch GmbH Copyright © 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed } from '@angular/core/testing';
import { LabelValuePairComponent } from './label-value-pair.component';

describe('LabelValuePairComponent', () => {
  let component: LabelValuePairComponent;
  let fixture: ComponentFixture<LabelValuePairComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [LabelValuePairComponent]
    }).compileComponents();
  });

  beforeEach((): void => {
    fixture = TestBed.createComponent(LabelValuePairComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();

    // default values
    expect(component.wrap).toBe(false);
    expect(component.rightAlign).toBe(false);
    expect(component.rightToLeft).toBe(false);
    expect(component.boldLabel).toBe(true);
    expect(component.boldValue).toBe(false);
  });
});
